LruTaxonomyWriterCache.LRUType (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.taxonomy.writercache.lru.LruTaxonomyWriterCache.LRUType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.facet.taxonomy.writercache.lru
Enum LruTaxonomyWriterCache.LRUType

    java.lang.Object
      java.lang.Enum<LruTaxonomyWriterCache.LRUType>
          org.apache.lucene.facet.taxonomy.writercache.lru.LruTaxonomyWriterCache.LRUType

All Implemented Interfaces:
  Serializable, Comparable<LruTaxonomyWriterCache.LRUType>

Enclosing class:
  LruTaxonomyWriterCache

    public static enum LruTaxonomyWriterCache.LRUType

extends Enum<LruTaxonomyWriterCache.LRUType>

Enum Constant Summary
`LRU_HASHED`
`LRU_STRING`

Method Summary
`static LruTaxonomyWriterCache.LRUType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LruTaxonomyWriterCache.LRUType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LRU_HASHED

    public static final LruTaxonomyWriterCache.LRUType LRU_HASHED

### LRU_STRING

    public static final LruTaxonomyWriterCache.LRUType LRU_STRING

Method Detail

### values

    public static final LruTaxonomyWriterCache.LRUType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LruTaxonomyWriterCache.LRUType c : LruTaxonomyWriterCache.LRUType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LruTaxonomyWriterCache.LRUType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD